import 'dart:io';

abstract class TerminalOut
{
	static const ANSI_CLS = "\u001b[2J";
	static const WAIT = "Press ENTER to continue...";

/// __Pause execution__ until the __user presses enter__.
/// 
/// If [output] was passed, it is printed to the screen.
	static void enterToContinue([Object output]) 
	{
		if (output != null) print("\n${output.toString()}");
		print("\n$WAIT");
		stdin.readLineSync();
	}

/// __Clear the terminal__ of all text.
	static void clear() => print(ANSI_CLS);

/// __Pause execution__ until the __user presses enter__, and then __clear the screen__.
/// 
/// If [output] was passed, it is printed to the screen.
	static void enterToClear([Object output])
	{
		enterToContinue(output);
		clear();
	}
}
